import request from '@/utils/request'
import {smart} from '@/api/commonApi'
// 数据字典配置

// 数据字典；列表
export function getEnumList(data) {
  return request({
    url: smart + `/basic-enum/getPageList`,
    method: 'POST',
    data
  })
}
// 数据字典；删除
export function deleteEnumItem(id) {
  return request({
    url: smart + `/basic-enum/deleteById/${id}`,
    method: 'get',
  })
}
// 数据字典；新增
export function addEnumItem(data) {
  return request({
    url: smart + `/basic-enum/save`,
    method: 'post',
    data,
  })
}
// 数据字典；更 新
export function updateEnumItem(data) {
  return request({
    url: smart + `/basic-enum/update`,
    method: 'post',
    data,
  })
}

// 获取所有一级
export function getParentsList() {
  return request({
    url: smart + `/basic-enum/getParentsList`,
    method: 'get',
  })
}
